--- linux/drivers/net/ne.c	Thu Oct 14 22:32:18 1999
+++ ramdisk/drivers/net/ne.c	Thu Dec 23 14:31:25 1999
@@ -39,6 +39,7 @@
 
 
 #include <linux/module.h>
+#include <linux/init.h>
 #include <linux/config.h>
 #include <linux/kernel.h>
 #include <linux/sched.h>
@@ -830,6 +831,15 @@
 
 #ifdef CONFIG_PCI
 MODULE_PARM(probe_pci, "i");
+
+static int __init ne_setup(char *str)
+{
+	if (str & !strcmp(str, "nopci"))
+		probe_pci = 0;
+	return 1;
+}
+
+__setup("ne=", ne_setup);
 #endif
 
 /* This is set up so that no ISA autoprobe takes place. We can't guarantee
